Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5469 - xscreensaver doesn't switch off screen when using AcceleratedX
Summary: xscreensaver doesn't switch off screen when using AcceleratedX
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver
Version: 6.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-01 18:51 UTC by Trond Eivind Glomsrød
Modified: 2014-03-17 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-22 16:59:41 UTC


Attachments (Terms of Use)

Description Trond Eivind Glomsrød 1999-10-01 18:51:21 UTC
When using AcceleratedX (5.1 laptop edition, but it doesn't
look significant), xscreensaver as used by gnome doesn't
turn off the screen (which it does with XFree86, and
AcceleratedX is capable of its own).

Comment 1 Bill Nottingham 1999-10-01 18:54:59 UTC
What happens if you run 'xscreensaver-command -lock' (or -activate)
from the command line?

Comment 2 Trond Eivind Glomsrød 1999-10-02 18:21:59 UTC
It starts the screensaver, of course. This wasn't the problem - the
problem is that the screensaver, after having running for the
specified amount of time, isn't able to switch the screen off to
conserve power.  After some time, it goes blank - but not off.
And the reason for this, seems to be that it tries to use an
XFree86-specific extension - XFree86-Misc. This isn't supported with
other X servers. Checking for such a possibility and instead using
standard ways to do it if this extension isn't present would solve the
problem. This shows up in the .xsession-errors:

Xlib: extension "XFree86-Misc" missing on display ":0.0"
xscreensaver-command: no screensaver is running on display :0.0
xscreensaver disabling builtin screensaver
xscreensaver: you can re-enable it with "xset s on"

Comment 3 Bill Nottingham 1999-11-22 16:59:59 UTC
If the extension isn't there, there isn't a standard way
to do this.


Note You need to log in before you can comment on or make changes to this bug.